From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/geneweb/
Date: Mon, 11 Jan 2021 21:23:11 +0000 (UTC) [thread overview]
Message-ID: <1610400173.b0ebf4ee508b2a406acd4bdba250efc98dace47c.tupone@gentoo> (raw)
commit: b0ebf4ee508b2a406acd4bdba250efc98dace47c
Author: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 11 21:22:39 2021 +0000
Commit: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Mon Jan 11 21:22:53 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0ebf4ee
app-misc/geneweb: version bump to 7.0.0
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>
app-misc/geneweb/Manifest | 1 +
app-misc/geneweb/geneweb-7.0.0.ebuild | 83 +++++++++++++++++++++++++++++++++++
2 files changed, 84 insertions(+)
diff --git a/app-misc/geneweb/Manifest b/app-misc/geneweb/Manifest
index 57f17eca5ea..83f801df455 100644
--- a/app-misc/geneweb/Manifest
+++ b/app-misc/geneweb/Manifest
@@ -1 +1,2 @@
DIST geneweb-6.08.01.tar.gz 1796215 BLAKE2B 4b7d05126d244984b62ebadda3419ba8cf97326ac3103c73ca5433a8f9edeab8acd968d05942d299e70127bcf75efe5cb9a9af9f7d97ec08fd9a8a6a5aae100d SHA512 54e1ed05e540f1de167c66dee46976a8324a37ca36a9dfd6ab03105fe925053c570842e1a263499fd8bd7aecfebac8f9596b1573fcec1e104e3892337376f84d
+DIST geneweb-7.0.0.tar.gz 14767981 BLAKE2B 3a0a777a934d26fa91bd94d20311c6147e749961035b57aed8322c4e96f5cead2edde3a96e362b5de35073fa594d4cb5f3ef0f4d7eeaebea2095bfeef37740b6 SHA512 359b8e2258d572198a7516dd03830e536038392d552482f25fe4b93ded76dccebfe3c420eb2ba1a566500200755c87cbe19a2060eaeea895bd84c505b7b65345
diff --git a/app-misc/geneweb/geneweb-7.0.0.ebuild b/app-misc/geneweb/geneweb-7.0.0.ebuild
new file mode 100644
index 00000000000..3d855c8c25e
--- /dev/null
+++ b/app-misc/geneweb/geneweb-7.0.0.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit eutils
+
+DESCRIPTION="Genealogy software program with a Web interface"
+HOMEPAGE="https://github.com/geneweb/geneweb"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+ocamlopt"
+RESTRICT="strip"
+
+RDEPEND="dev-lang/ocaml[ocamlopt?]
+ dev-ml/camlp5[ocamlopt?]
+ acct-user/geneweb
+ acct-group/geneweb
+ dev-ml/jingoo
+ dev-ml/uunf
+ >=dev-ml/markup-1.0.0
+ dev-ml/unidecode
+ dev-ml/calendars"
+DEPEND="${RDEPEND}
+ dev-ml/cppo"
+
+QA_FLAGS_IGNORED=(
+ /usr/bin/gwb2ged
+ /usr/bin/update_nldb
+ /usr/bin/consang
+ /usr/bin/gwd
+ /usr/bin/gwsetup
+ /usr/bin/ged2gwb2
+ /usr/bin/gwc
+ /usr/bin/ged2gwb
+ /usr/bin/check_base
+ /usr/bin/gwu
+ /usr/bin/gwc1
+ /usr/bin/gwc2
+ /usr/lib/geneweb/gwtp
+)
+
+src_configure() {
+ ocaml ./configure.ml
+}
+
+src_compile() {
+ if use ocamlopt; then
+ emake
+ else
+ emake OCAMLC=ocamlc OCAMLOPT=ocamlopt out
+ # If using bytecode we dont want to strip the binary as it would remove
+ # the bytecode and only leave ocamlrun...
+ fi
+}
+
+src_install() {
+ default
+ rm -r "${D}"/usr/doc || die
+ dodoc ICHANGES etc/README.txt etc/a.gwf
+
+ # Install manpages
+ doman man/*
+
+ emake distrib
+ cd distribution/gw
+ insinto /usr/share/${PN}
+ doins -r etc images lang setup gwd.arg only.txt
+
+ newinitd "${FILESDIR}/geneweb.initd" geneweb
+ newconfd "${FILESDIR}/geneweb.confd" geneweb
+}
+
+pkg_postinst() {
+ einfo "A CGI program has been installed in /usr/lib/${PN}. Follow the"
+ einfo "instructions on the README in that directory to use it"
+ einfo "If you come from an old version you need to rebuild the database"
+ einfo "\"gwu foo > foo.gw \" will save the database (use the previous"
+ einfo "version to do that). \"gwc2 foo.gw -o bar \" will restore it "
+ einfo "(using the current package)"
+}
next reply other threads:[~2021-01-11 21:23 UTC|newest]
Thread overview: 27+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-01-11 21:23 Alfredo Tupone [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-10 22:43 [gentoo-commits] repo/gentoo:master commit in: app-misc/geneweb/ Sam James
2025-03-10 11:58 Jakov Smolić
2025-03-10 11:41 Arthur Zamarin
2025-03-10 7:29 Alfredo Tupone
2025-02-26 20:38 Alfredo Tupone
2024-07-18 20:40 Alfredo Tupone
2024-07-02 14:50 Maciej Barć
2024-01-02 10:57 Alfredo Tupone
2022-06-26 13:36 Alfredo Tupone
2021-10-14 9:03 Alfredo Tupone
2021-09-18 12:30 Agostino Sarubbo
2021-09-17 14:14 Agostino Sarubbo
2021-03-13 15:26 Sam James
2021-01-19 21:09 Alfredo Tupone
2021-01-19 7:40 Alfredo Tupone
2021-01-18 21:07 Alfredo Tupone
2021-01-14 19:35 Alfredo Tupone
2020-05-13 8:21 Alfredo Tupone
2020-03-18 21:42 Alfredo Tupone
2020-03-15 18:41 Agostino Sarubbo
2020-03-14 19:46 Agostino Sarubbo
2020-01-29 18:23 Alfredo Tupone
2020-01-01 13:31 Alfredo Tupone
2019-05-06 19:54 Alfredo Tupone
2018-04-17 6:09 Alfredo Tupone
2017-10-22 19:50 Alfredo Tupone
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1610400173.b0ebf4ee508b2a406acd4bdba250efc98dace47c.tupone@gentoo \
--to=tupone@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox